CSL 5.2

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Protected Attributes
csl::Abst_FFT_W Class Reference

Abstract FFT class can do forward/reverse real/complex I/O FFTs. More...

`#include <FFT_Wrapper.h>`

List of all members.

## Public Member Functions
| Abst_FFT_W (unsigned size, CSL_FFTType type=CSL_FFT_REAL, CSL_FFTDir dir=CSL_FFT_FORWARD)
| Constuctor sets up twiddle factor tables.
virtual | ~Abst_FFT_W ()
virtual void | nextBuffer (Buffer &in, Buffer &out)=0 throw (CException)
| destructor frees tables

## Public Attributes
unsigned | mSize
| FFT length.
unsigned | mCSize
| FFT length / 2 + 1.

## Protected Attributes
CSL_FFTType | mType
| real/complex output
CSL_FFTDir | mDirection
| forward/reverse

## Detailed Description

Abstract FFT class can do forward/reverse real/complex I/O FFTs.

Definition at line 68 of file FFT_Wrapper.h.

## Constructor & Destructor Documentation

csl::Abst_FFT_W::Abst_FFT_W | ( | unsigned | size,
|  | CSL_FFTType | type = `CSL_FFT_REAL`,
|  | CSL_FFTDir | dir = `CSL_FFT_FORWARD`
| ) |  |
| inline

Constuctor sets up twiddle factor tables.

Definition at line 70 of file FFT_Wrapper.h.

virtual csl::Abst_FFT_W::~Abst_FFT_W | ( |  | ) |
| inline virtual

Definition at line 73 of file FFT_Wrapper.h.

## Member Function Documentation

virtual void csl::Abst_FFT_W::nextBuffer | ( | Buffer & | in,
|  | Buffer & | out
| ) |  | throw (CException)
| pure virtual

destructor frees tables

run the transform between in and out

## Member Data Documentation

unsigned csl::Abst_FFT_W::mSize

FFT length.

Definition at line 78 of file FFT_Wrapper.h.

unsigned csl::Abst_FFT_W::mCSize

FFT length / 2 + 1.

Definition at line 79 of file FFT_Wrapper.h.

CSL_FFTType csl::Abst_FFT_W::mType
| protected

real/complex output

Definition at line 81 of file FFT_Wrapper.h.

CSL_FFTDir csl::Abst_FFT_W::mDirection
| protected

forward/reverse

Definition at line 82 of file FFT_Wrapper.h.

The documentation for this class was generated from the following file:

- CSL/Utilities/FFT_Wrapper.h